/**
 * CommentRatio2Degradation - Metrics for SynapseScript
 *
 *  Created by M.Miyazaki [2013.01.04]
 */
public class CommentRatio2Degradation extends Object
{
	
	/**
	 * Main routine.
	 */
	public static void main(String[] arguments)
	{
		double degradation = -1.0;
		
		if (arguments.length >= 1)
		{
			try
			{
				double commentRatio = (new Double(arguments[0])).doubleValue();
				if (0.0 <= commentRatio && commentRatio <= 100.0)
				{
					degradation = 100.0 - commentRatio;
				}
			}
			catch (NumberFormatException anException) { /* Ignore */ }
		}
		
		System.out.printf("%f", degradation);
		
		return;
		
	}
	
}